summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* profiles: Remove profiles for sparc-fbsdMichał Górny2018-01-2312-66/+0
| | | | | | | | | The sparc-fbsd architecture is completely unmaintained in Gentoo. The profiles were stuck at the old 8.2 version, with little keywording ever done and no working hardware left. This commit removes the profiles but leaves the arch/keyword until all packages are clean of it.
* profiles.desc: Mark x86-fbsd profiles as expMichał Górny2018-01-231-1/+1
| | | | | | Mark the x86-fbsd profiles as experimental due to their bad state and little support. This way we can focus better on fixing the depgraph on amd64-fbsd.
* profiles.desc: Mark old FBSD versions as expMichał Górny2018-01-231-2/+2
| | | | | Mark the profiles for all FreeBSD versions except the newest as exp. Suggested on IRC by Alexis Ballier.
* net-dialup/ppp: EAPI-6 revbump.Lars Wendler2018-01-231-11/+13
| | | | | | Also add "+ipv6" to /etc/ppp/options with USE="ipv6" Package-Manager: Portage-2.3.20, Repoman-2.3.6
* net-misc/rabbitmq-server: fix dev-lang/elixir dependency version, fixes #645158Ultrabug2018-01-231-1/+1
|
* mail-client/roundcube: Clean old and insecureAaron W. Swenson2018-01-236-385/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* mail-client/roundcube: Bump to 1.3.4Aaron W. Swenson2018-01-232-0/+100
| | | | | | | | | Now removes bundled PEAR libs/modules/whatever they’re called, and depends on the related ebuilds. Closes: https://bugs.gentoo.org/644896 Closes: https://bugs.gentoo.org/645374 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* profiles/arch/arm64: USE-mask app-emulation/qemu[accessibility]Michał Górny2018-01-231-0/+4
|
* profiles/arch/arm64: USE-mask app-emulation/libvirt[xen]Michał Górny2018-01-231-0/+4
|
* media-libs/libffado: Drop oldAndreas Sturmlechner2018-01-236-209/+0
| | | | | Closes: https://bugs.gentoo.org/642530 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* profiles: Mask dev-libs/libindicate-qt for removalAndreas Sturmlechner2018-01-231-0/+5
|
* app-portage/gemato: Bump to 10.0Michał Górny2018-01-232-0/+44
| | | | | | | Bump to the new major release that improves OpenPGP support. In particular, it explicitly detects signatures made using expired and revoked keys, and refreshes the key before verification to catch prolongation or revocation of keys.
* net-p2p/bitcoin-qt-0.15.1: Fix testsLuke Dashjr2018-01-233-1/+42
|
* net-p2p/bitcoind-0.15.1: Fix testsLuke Dashjr2018-01-233-1/+42
| | | | | Closes: https://github.com/gentoo/gentoo/pull/6934 Closes: https://bugs.gentoo.org/645250
* sys-apps/kbd: switch SRC_URI since ftp.kernel.org is deprecatedAnthony G. Basile2018-01-235-7/+7
| | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3
* sys-fs/xfsprogs: Removed old.Lars Wendler2018-01-238-704/+0
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* sys-fs/xfsprogs: Replaced dead ftp:// SRC URI with https://Lars Wendler2018-01-231-1/+1
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* games-emulation/snes9x: Use xdg-utils.eclass to handle .desktop files.Lars Wendler2018-01-231-3/+9
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* mail-filter/policyd-weight: Rev bumpThomas Deutschmann2018-01-234-0/+92
| | | | | | | | | | | | Ebuild changes: =============== - We are now using similar patch set like Debian. - EAPI bumped to EAPI=6. Closes: https://bugs.gentoo.org/536580 Closes: https://bugs.gentoo.org/538902 Package-Manager: Portage-2.3.20, Repoman-2.3.6
* games-emulation/snes9x: Fix broken build systemDavid Seifert2018-01-232-1/+67
| | | | | Closes: https://bugs.gentoo.org/645330 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* net-wireless/iw: Bump to version 4.14Lars Wendler2018-01-232-0/+35
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* net-dialup/freeradius: Bump to version 3.0.16Lars Wendler2018-01-232-0/+225
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* dev-python/bottleneck: update HOMEPAGE.Wim Muskee2018-01-232-4/+4
| | | | | Closes: https://bugs.gentoo.org/639268 Closes: https://github.com/gentoo/gentoo/pull/6863
* net-analyzer/suricata: version bump to 4.0.3Slawomir Lis2018-01-232-0/+164
| | | | | | This should fix security problems reported in https://bugs.gentoo.org/635662 Package-Manager: Portage-2.3.20, Repoman-2.3.6
* sys-auth/nss-mdns: Bump to 0.11Michał Górny2018-01-232-0/+55
| | | | | | | | | Bump to the first release from the new upstream. Big thanks to Adam Goode for merging our patches and working on the code! Closes: https://bugs.gentoo.org/590968 Closes: https://bugs.gentoo.org/600282 Closes: https://bugs.gentoo.org/627770
* media-gfx/gphoto2: version bump 2.5.14 → 2.5.15Gilles Dartiguelongue2018-01-232-0/+63
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* media-libs/libgphoto2: version bump 2.5.14 → 2.5.16Gilles Dartiguelongue2018-01-232-0/+212
| | | | | | | | Leave vusb configure switch to upstream default for now as it appears development related only and defaults to off. Closes: https://bugs.gentoo.org/634764 Package-Manager: Portage-2.3.20, Repoman-2.3.6
* www-apps/icingaweb2: 2.5.1 bupMatthew Thode2018-01-232-0/+80
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-ruby/compass: add ruby24Hans de Graaff2018-01-231-2/+2
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-ruby/tidy_table: add ruby24Hans de Graaff2018-01-231-2/+2
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-ruby/gruff: add ruby24Hans de Graaff2018-01-231-2/+2
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-ruby/web-console: add ruby24, fix testsHans de Graaff2018-01-232-7/+10
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-ruby/web-console: cleanupHans de Graaff2018-01-233-90/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-ruby/webmock: add 3.3.0Hans de Graaff2018-01-232-0/+61
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* media-radio/xlog: Drop oldThomas Beierlein2018-01-233-146/+0
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* dev-db/postgresql: arm stable, bug #640634Markus Meier2018-01-231-1/+1
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
* dev-util/google-perftools: arm stable, bug #640330Markus Meier2018-01-231-2/+2
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
* dev-python/pyudev: arm stable, bug #640308Markus Meier2018-01-231-2/+2
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
* app-admin/pass: add ~arm, bug #601564Markus Meier2018-01-231-2/+2
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
* app-shells/fish: add ~arm, bug #601564Markus Meier2018-01-231-2/+2
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
* www-plugins/chrome-binary-plugins: automated update (64.0.3282.99)Mike Gilbert2018-01-222-1/+1
| | | | Package-Manager: Portage-2.3.19_p11, Repoman-2.3.6_p45
* www-client/google-chrome-beta: automated update (64.0.3282.99)Mike Gilbert2018-01-222-1/+1
| | | | Package-Manager: Portage-2.3.19_p11, Repoman-2.3.6_p45
* dev-php/spdx-licenses: remove "unused" spdx-licenses-1.0.0.ebuild.Michael Orlitzky2018-01-223-49/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-php/composer: remove "unused" composer-1.5.5.ebuild.Michael Orlitzky2018-01-222-47/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* dev-php/semver: new version 1.4.2.Michael Orlitzky2018-01-224-24/+26
| | | | | | | | | This new version of semver fixes parsing versions with a leading "v", thereby fixing bug 644884. I tried to enable the test suite but the release tarballs omit it for now. Closes: https://bugs.gentoo.org/644884 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* net-misc/openssh: Revision bump, bump X509 patch to 11.1Patrick McLean2018-01-223-0/+386
| | | | | | | | Also re-enable hpn USE flag (disabled by default) since it has now been package.use.mask-ed in the base profile. Bug: https://bugs.gentoo.org/634594 Package-Manager: Portage-2.3.20, Repoman-2.3.6
* profiles: Mask >=net-misc/openssh-7.6_p1[hpn] (bug #634594)Patrick McLean2018-01-221-0/+4
|
* profiles: Mask app-emulation/qtemu for removalAndreas Sturmlechner2018-01-231-0/+5
|
* net-firewall/pglinux: Drop gnome2_icon_savelistAndreas Sturmlechner2018-01-231-4/+0
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* net-firewall/pglinux: Drop invalid alt. dependAndreas Sturmlechner2018-01-231-3/+3
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6